%define	name	acon
%define	version	1.0.5
%define	release	1mdk

Summary:	Arabic support for linuxconsole
Summary(ar):	دعم اللغة العربية في لينكس (للشاشات النصّية)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
Source:		http://members.tripod.com/ahmedahamid/arabic/acon-%{version}.tar.bz2
Source1:	%{name}.sh
# author refuses to integrate Hebrew support, so we need to provide the
# needed files ourselves and do some small patches
Source2:	%{name}-1.0.4-mdk.tar.bz2
Patch:		%{name}-1.0.4-mdk.patch.bz2
URL:		http://members.tripod.com/ahmedahamid/arabic/arabic.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
PreReq:		rpm-helper

%description
The function of acon is to display arabic text from right to left,
and process it to change the letter shape according to its position
in the word.

%description -l ar
برنامج acon يقوم بعملية دعم عرض النصوص العربية من اليمين الى اليسار
واظهار الاشكال الصحيحة للأحرف حسب موقعها في الكلمة.

%prep
%setup -q -n %{name} -a2

%patch0 -p1 -b .mdkpatch

%build
%serverbuild
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%makeinstall_std

install -m 755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_initrddir}/%{name}

rm $RPM_BUILD_ROOT%{_libdir}/%{name}/keymaps/*

%ifarch %{ix86} alpha
cp keymaps/i386/* $RPM_BUILD_ROOT%{_libdir}/%{name}/keymaps/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/i386/qwerty
(cd $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/i386/qwerty
 cp ../../../../acon/keymaps/*map .
 gzip -9 *map
)
%endif
%ifarch sparc sparc64
cp keymaps/sun/* $RPM_BUILD_ROOT%{_libdir}/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/sun
(cd $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/sun
 cp ../../../%{name}/keymaps/*map .
 gzip -9 *map
)
%endif
%ifarch ppc
cp keymaps/mac/* $RPM_BUILD_ROOT%{_libdir}/acon/keymaps/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/mac
(cd $RPM_BUILD_ROOT%{_libdir}/kbd/keymaps/mac
 cp ../../../acon/keymaps/*map .
 gzip -9 *map
)
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc doc/* README* AUTHORS CHANGES COPYING
%config(noreplace) %{_initrddir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}
%ifarch %ix86 alpha
%{_libdir}/kbd/keymaps/i386/qwerty/*
%endif
%ifarch sparc sparc64
%{_libdir}/kbd/keymaps/sun/*
%endif
%ifarch ppc
%{_libdir}/kbd/keymaps/mac/*
%endif

%changelog
* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.5-1mdk
- rebuild
- s/Copyright/License/
- move changelog to the end of the spec file
- use %%make macro
- quiet setup
- macroize
- cosmetics
- be sure to use $RPM_OPT_FLAGS
- build on other archs too, seems to build just fine on sparc, report if
  problems on other archs

* Fri Aug 31 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-6mdk
- fixed a typo in init script; converted translatable strings to simpler
  format.

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.4-5mdk
- use /var/lock/subsys/acon in intscript
- use server macros

* Tue Mar 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-4mdk
- macrozifaction
- use %%ix86
- fix tmppath
- get rid of tar

* Tue Mar 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-3mdk
- rebuild for new glibc and distrib.
- adapted the rc.d script
- converted descriptions to UTF-8

* Wed Jul 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-2mdk
- fixed keymaps
- made it exclusivearch for the PC (until the sources are fixed)

* Thu Jun  8 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-1mdk
- updated to 1.0.4
- added support for Farsi and Hebrew
- improved sysinit script

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.3-1mdk
- updated to 1.0.3
- new Group: naming
- added doc/ directory
- moved *.map files to {_libdir}/kbd/i386/qwerty/ where they belong
  (yes, this package needs adaptation to PPC and such)

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.0.2

* Fri Aug 13 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version
